---
title: 学习查看气象云图与雷达图
date: 2018-05-05 21:40:52
updated: 2018-05-06 21:40:52
categories:
  - Notebook
tags:
  - 气象云图
  - 雷达图
---
# 学习查看气象云图与雷达图

## 雷达图

### 雷达图获取

- 市级气象局，如：[北京市气象局](http://www.bjmb.gov.cn/info/846/list.html)
- 中央气象台，如：[中央气象台](http://www.nmc.cn/publish/radar/chinaall.html)

### 雷达图阅读

![dBZ2](/Media/180506-dbz2.png)

[dBZ](https://zh.wikipedia.org/zh/DBZ "基本反射率") 基本反射率：反射自远方物体（在每立方米中的 mm6 量）的雷达讯号之等效反射率与直径 1 毫米雨滴的反射量 表示单位体积中降水粒子直径 6 次方的总和。该值的大小反映了气象目标内部降水粒子的尺度和密度分布，用来表示气象目标的强度，单位用 dBZ 表示。
由于单位体积的降水粒子数量与降水粒子直径的六次方成比例，因此可以用来估计雨、雪、冰雹等的降水强度

判断具体出现什么天气出现时，除了回波强度（dbz）外，还要综合考虑回波高度、回波的面积、回波移动的速度、方向以及演变情况等因素。

雷達發射之電磁波經由大氣中的降水粒子 (雨、雪、冰雹等) 反射回來的訊號， 稱為雷達回波(reflectivity )，根據雷達接收到降水粒子所反射回來的訊號強度，再利用不同顏色顯示，即可製成雷達回波圖。回波的強度與降水粒子的大小、形狀、狀態以及單位體積內粒子的數量有關，一般而言，反射回來的訊號越強，降水的強度就越強，因此可藉由雷達回波圖研判天氣系統的降水強度及分布狀況。

一般地说，它的值越大降雨、降雪可能性越大，强度也越强，当它的值大于或等于 40dbz 时，出现雷雨天气的可能性较大，当它的值在 45dbz 或以上时，出现暴雨、冰雹、大风等强对流天气的可能性较大。

降雨强度：回波颜色从绿色 - 黄色 - 红色 - 紫色，降雨强度逐渐增强。一般而言：绿色，小雨；黄色：中到大雨；红色：雨水倾盘而下，并可能伴有短时雷雨大风、冰雹等强对流天气；紫色：降雨强度非常大，伴有雷暴、大风等强对流天气，极有可能出现冰雹，必须到安全地方躲避。

![dBZ1](/Media/180506-dbz1.GIF)

dBZ | 时雨量 (mm/h) | 时雨量 (in/hr) | 强度
----|------------|-------------|---
5 | 0.07 | < 0.01 | 难以察觉
10 | 0.15 | < 0.01 | 薄雾
15 | 0.3 | 0.01 | 雾
20 | 0.6 | 0.02 | 毛毛雨
25 | 1.3 | 0.05 | 小雨
30 | 2.7 | 0.10 | 小到中雨
35 | 5.6 | 0.22 | 中雨
40 | 11.53 | 0.45 | 中雨
45 | 23.7 | 0.92 | 中到大雨
50 | 48.6 | 1.90 | 大雨
55 | 100 | 4 | 豪雨 / 小冰雹
60 | 205 | 8 | 超大豪雨 / 中等冰雹
65 | 421 | 16.6 | 暴雨 / 大冰雹

## 气象云图

### 气象云图获取

- [中央气象台](http://www.nmc.cn/publish/satellite/watervapor.html)

### 气象云图阅读

![水汽云图](/Media/180506-SEVP_NSMC_WXBL_FY2E_EWVP_ACHN_LNO_PY.jpg)

1. 型式(结构)：是指图像上不同明暗程度的像素点的分布式样。不同型式的云系或云团与不同的天气系统或物理过程相联系，例如台风、气旋、 低涡等云系呈螺旋状结构，而锋面、急流和热带辐合带的云系成带状结构。

2. 范围大小：从云的范围可以识别云的种类、天气系统的尺度大小和大气物理过程。例如在图中大尺度锋面云带的前沿有几个亮温特别低的中尺度对流云团。这几个中尺度云团中，从其伪彩色差异还可以识别出其中更小尺度的对流单体。

3. 边界形状：云的边界有直线的、圆形的、扇形的、盾形的，有呈气旋性弯曲(云带边界向南凹)的、有呈反气旋弯曲的(云区边界向北凸)等。有边界整齐光滑、有呈锯齿状和不整齐之分。例如，带状云系中，边界呈气旋性弯曲的是冷锋，而呈反气旋性弯曲，边界又整齐是急流，而急流风速切变大小不等其边界又有光滑与锯齿之分，前者风切变相对小些。

4. 色调：也称为亮度或灰度。它是指物像的明暗程度。可见光云图上色调与物像的反照率和太阳高度角有关，反照率大，太阳高度角大(高)物象色调呈浓白，反之反照率小，太阳高度角低，则物像色调暗。应该特别指出，相同条件下，水滴云的反照率比冰晶云大。在红外云图上物象色调则表示其表面温度高低，物象表面温度越低色调越白。在水汽图像上，物像的色调决定于对流层中、上部大气的水汽含量和气层的温度，水汽含量愈丰富或气层温度愈低，则色调愈白。

5. 暗影：仅在可见光云图上出现，高耸目标物在低目标上的一种影子，暗影的位置决定于卫星的观测时间。暗影的宽度决定于投影云顶高度和太阳高度角高低。投影云高度差愈大，太阳高度角愈低，暗影愈宽愈明显。分析暗影时应特别注意将云缝与暗影区分开。最好的方法是结合红外云图进行判断，若是云缝区在红外上也相应有云缝，而红外云图上没有暗影，而且投影云顶高度高，色调应特别浓白。

6. 纹理：它表示云表面粗糙程度。云顶高度参差不齐，在可见光云图上造成许多暗影显出纹理，红外图上形成色调明暗相间也表现出多纹理。纹理的形状为皱纹、斑点或纤维状。相反，如果云顶没有明显起伏，则云图为光滑和均匀。皱纹和纹理主要出现在层状云中有积状云，尤其是积云穿过层状云时最为明显。而纤维状纹理，主要出现在卷云区中。
